Bug 1013652 - [abrt] uniconvertor-2.0-0.2.svn344.fc19: application.py:130:run:TypeError: __init__() takes exactly 1 argument (3 given)
[abrt] uniconvertor-2.0-0.2.svn344.fc19: application.py:130:run:TypeError: __...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: uniconvertor (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
abrt_hash:38f52cdfddbabb3d853c7c59b75...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 10:11 EDT by Justin Clift
Modified: 2015-07-13 00:35 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-06 04:45:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (686 bytes, text/plain)
2013-09-30 10:11 EDT, Justin Clift
no flags Details
File: environ (1.53 KB, text/plain)
2013-09-30 10:11 EDT, Justin Clift
no flags Details
GlusterFS Flyer front page (128.31 KB, image/svg+xml)
2013-09-30 15:36 EDT, Justin Clift
no flags Details
GlusterFS Flyer back page (138.56 KB, image/svg+xml)
2013-09-30 15:37 EDT, Justin Clift
no flags Details

  None (edit)
Description Justin Clift 2013-09-30 10:11:13 EDT
Version-Release number of selected component:
uniconvertor-2.0-0.2.svn344.fc19

Additional info:
reporter:       libreport-2.1.7
cmdline:        /usr/bin/python /usr/bin/uniconvertor /tmp/ink_ext_XXXXXX.svgO5HE4W /tmp/tmp28lbIP.wmf
executable:     /usr/bin/uniconvertor
kernel:         3.11.1-200.0.bz953211.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
application.py:130:run:TypeError: __init__() takes exactly 1 argument (3 given)

Traceback (most recent call last):
  File "/usr/bin/uniconvertor", line 23, in <module>
    uc2.uc2_run()
  File "/usr/lib64/python2.7/site-packages/uc2/__init__.py", line 45, in uc2_run
    app.run()
  File "/usr/lib64/python2.7/site-packages/uc2/application.py", line 130, in run
    self.default_cms = cms.ColorManager([], True)
TypeError: __init__() takes exactly 1 argument (3 given)

Local variables in innermost frame:
files: ['/tmp/ink_ext_XXXXXX.svgO5HE4W', '/tmp/tmp28lbIP.wmf']
item: '/tmp/tmp28lbIP.wmf'
self: <uc2.application.UCApplication instance at 0x1cd6b90>
options: {}
options_list: []
Comment 1 Justin Clift 2013-09-30 10:11:16 EDT
Created attachment 805227 [details]
File: backtrace
Comment 2 Justin Clift 2013-09-30 10:11:20 EDT
Created attachment 805228 [details]
File: environ
Comment 3 Pavel Alexeev 2013-09-30 15:31:04 EDT
Hi Justin and thanks for the report.
Is it reproduced on all files or just on particular? Could you please provide file to reproduce error?
Comment 4 Justin Clift 2013-09-30 15:35:42 EDT
That's a good question.  I was working on two files at the time, and I'm not sure which one caused the problem.

I'll attach both, so you can try them out. :)
Comment 5 Justin Clift 2013-09-30 15:36:33 EDT
Created attachment 805494 [details]
GlusterFS Flyer front page
Comment 6 Justin Clift 2013-09-30 15:37:21 EDT
Created attachment 805495 [details]
GlusterFS Flyer back page
Comment 7 Justin Clift 2013-09-30 15:39:04 EDT
From memory, I'd switched away to another application (email? IRC?), and I noticed the error popped up when switching back to Inkscape.

No idea if switching the focus application was a trigger or not, but figuring it might be useful info. :)
Comment 8 Pavel Alexeev 2013-10-06 04:45:15 EDT
Thanks for the report.
I have report upstream by mail. Close bug now, as it related to upstream developing. But we continue track changes and whatever it will be fixed ve consider make update in Fedora.
Comment 9 Pavel Alexeev 2013-10-22 17:01:12 EDT
Bug fixed.
http://koji.fedoraproject.org/koji/taskinfo?taskID=6088643

No errors produced no. But unfortunately wmf conversion still does not supported:

[pasha@hubbitus uniconv]$ uniconvertor Gluster-flyer-back.svg Gluster-flyer-back.wmf

[pasha@hubbitus uniconv]$ uniconvertor Gluster-flyer-back.svg Gluster-flyer-back.wmf; echo $?

1
[pasha@hubbitus uniconv]$ uniconvertor -verbose Gluster-flyer-back.svg Gluster-flyer-back.wmf; echo $?

JOB    | Translation of "Gluster-flyer-back.svg" into "Gluster-flyer-back.wmf"
INFO   | Start to search saver by file extension wmf
ERROR  | Saver is not found for wmf file format
ERROR  | Output file format of 'Gluster-flyer-back.wmf' is unsupported.
STOP   | Translation is interrupted
1
Comment 10 Dmitrij S. Kryzhevich 2014-03-28 05:01:58 EDT
> ERROR  | Saver is not found for wmf file format

Got this for ANY output formats. Tested with pdf and svg.
Comment 11 Frank Büttner 2014-04-13 09:02:36 EDT
I get this error opening while opening an CorelDraw file.

Note You need to log in before you can comment on or make changes to this bug.